package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "Parameter",
   propOrder = {"scope", "name", "value"}
)
public class Parameter {
   @XmlElement(
      name = "Scope",
      required = true,
      nillable = true
   )
   protected String scope;
   @XmlElement(
      name = "Name",
      required = true,
      nillable = true
   )
   protected String name;
   @XmlElement(
      name = "Value",
      required = true,
      nillable = true
   )
   protected String value;

   public String getScope() {
      return this.scope;
   }

   public void setScope(String value) {
      this.scope = value;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String value) {
      this.name = value;
   }

   public String getValue() {
      return this.value;
   }

   public void setValue(String value) {
      this.value = value;
   }
}
